---
apiVersion: "v1"
kind: "Service"
metadata:
  annotations:
    metallb.universe.tf/address-pool: "{{ $.Values.network.poolName }}"
    metallb.universe.tf/allow-shared-ip: "{{ $.Values.network.poolName }}"
  name: "{{ $.Values.name }}"
spec:
  type: "LoadBalancer"
  selector:
    app.kubernetes.io/component: "db"
    app.kubernetes.io/name: "postgresql"
    app.kubernetes.io/instance: "{{ $.Values.name }}"
  ports:
    - port: 5432
      targetPort: 5432
      protocol: "TCP"
